Bug 1568097 - [abrt] firefox: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()(): firefox killed by SIGSEGV
Summary: [abrt] firefox: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()(): fir...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bd8744ab80fcb1f0c9713a1d461...
: 1568082 1580341 1582291 1585292 1589468 1599688 1612511 1619853 1625857 1630940 1633433 1655186 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 18:42 UTC by Dr. David Alan Gilbert
Modified: 2019-05-28 23:24 UTC (History)
40 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:24:01 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (29.62 KB, text/plain)
2018-04-16 18:42 UTC, Dr. David Alan Gilbert
no flags Details
File: cgroup (195 bytes, text/plain)
2018-04-16 18:42 UTC, Dr. David Alan Gilbert
no flags Details
File: core_backtrace (118.65 KB, text/plain)
2018-04-16 18:42 UTC, Dr. David Alan Gilbert
no flags Details
File: cpuinfo (1.06 KB, text/plain)
2018-04-16 18:42 UTC, Dr. David Alan Gilbert
no flags Details
File: dso_list (13.09 KB, text/plain)
2018-04-16 18:42 UTC, Dr. David Alan Gilbert
no flags Details
File: environ (3.04 KB, text/plain)
2018-04-16 18:42 UTC, Dr. David Alan Gilbert
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-16 18:42 UTC, Dr. David Alan Gilbert
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-16 18:42 UTC, Dr. David Alan Gilbert
no flags Details
File: maps (65.61 KB, text/plain)
2018-04-16 18:43 UTC, Dr. David Alan Gilbert
no flags Details
File: mountinfo (3.92 KB, text/plain)
2018-04-16 18:43 UTC, Dr. David Alan Gilbert
no flags Details
File: open_fds (3.15 KB, text/plain)
2018-04-16 18:43 UTC, Dr. David Alan Gilbert
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-04-16 18:43 UTC, Dr. David Alan Gilbert
no flags Details
coredumpctl gdb (449.31 KB, text/plain)
2018-06-05 04:29 UTC, Chris Murphy
no flags Details

Description Dr. David Alan Gilbert 2018-04-16 18:42:38 UTC
Description of problem:
Firefox playing youtube video in one window and an h264 video from
CCTV cameras in another

Version-Release number of selected component:
firefox-59.0.2-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 21 -isForBrowser -intPrefs 6:50|7:-1|19:0|34:1000|42:20|43:5|44:0|51:0|57:128|58:10000|63:0|65:400|66:1|67:0|68:0|69:100|74:0|75:120|76:120|159:2|160:1|164:60|165:30|166:512000|175:5000|177:6|191:8192|192:524288|193:5|206:10000|227:24|228:32768|230:0|231:0|240:0|244:1048576|246:100|247:5000|249:600|250:4|251:1|260:2000|277:3|290:60000|308:300|309:30| -boolPrefs 1:0|2:0|4:1|5:0|24:1|27:0|28:1|29:1|31:1|32:1|33:1|36:0|37:0|38:1|41:1|45:1|46:0|47:0|48:1|49:1|50:1|52:0|55:1|56:1|59:0|60:0|61:0|62:0|64:0|70:1|71:1|72:0|73:1|77:1|78:1|79:0|80:0|81:1|82:1|83:0|84:1|87:0|88:0|91:1|92:1|96:1|97:1|98:0|99:1|100:0|101:0|103:0|104:0|105:1|106:1|107:1|110:1|111:1|112:1|113:1|114:1|115:0|116:0|117:0|119:0|120:1|121:1|122:0|123:0|124:0|125:0|127:1|128:0|129:1|130:1|131:1|132:0|133:0|134:1|135:1|136:1|137:1|138:0|139:1|140:1|141:1|142:1|143:1|144:1|145:0|146:1|147:1|148:0|149:1|150:0|152:0|153:0|154:0|155:1|156:1|157:1|158:1|161:1|162:0|172:0|173:0|174:1|178:0|180:1|181:0|182:1|184:1|186:0|187:0|190:0|194:1|195:0|196:1|197:1|198:0|201:1|205:1|207:1|208:0|210:1|213:0|225:0|226:0|229:1|232:0|234:1|235:1|237:1|238:0|245:1|248:1|253:0|254:1|255:0|256:1|257:1|258:0|259:1|264:0|267:1|268:1|269:1|270:1|271:1|272:0|273:0|279:1|282:0|283:0|284:1|285:1|286:0|287:1|288:1|289:1|291:0|292:0|294:0|303:1|304:0|305:0|306:0|307:0| -stringPrefs 3:7;default|151:0;|212:3;1.0|223:332;  |224:4;high| -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 23323 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=7555c59976be47369d46ebd7df53c61b;i=6a2f2;b=66d74913e90f402a8e558e52eaa57443;m=a817f3a3d;t=569d79b95b683;x=84313dbbeb39dbe7
kernel:         4.16.0-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #0 mozilla::ipc::MessageChannel::OnChannelErrorFromLink() at /usr/src/debug/firefox-59.0.2-1.fc28.x86_64/ipc/glue/MessageChannel.cpp:2534
 #1 mozilla::ipc::ProcessLink::OnChannelError() at /usr/src/debug/firefox-59.0.2-1.fc28.x86_64/ipc/glue/MessageLink.cpp:393
 #2 event_persist_closure at /usr/src/debug/firefox-59.0.2-1.fc28.x86_64/ipc/chromium/src/third_party/libevent/event.c:1580
 #3 event_process_active_single_queue at /usr/src/debug/firefox-59.0.2-1.fc28.x86_64/ipc/chromium/src/third_party/libevent/event.c:1639
 #4 event_process_active at /usr/src/debug/firefox-59.0.2-1.fc28.x86_64/ipc/chromium/src/third_party/libevent/event.c:1738
 #5 event_base_loop at /usr/src/debug/firefox-59.0.2-1.fc28.x86_64/ipc/chromium/src/third_party/libevent/event.c:1961
 #6 base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) at /usr/src/debug/firefox-59.0.2-1.fc28.x86_64/ipc/chromium/src/base/message_pump_libevent.cc:381
 #7 MessageLoop::RunInternal() at /usr/src/debug/firefox-59.0.2-1.fc28.x86_64/ipc/chromium/src/base/message_loop.cc:326
 #8 MessageLoop::RunHandler() at /usr/src/debug/firefox-59.0.2-1.fc28.x86_64/ipc/chromium/src/base/message_loop.cc:319
 #9 MessageLoop::Run() at /usr/src/debug/firefox-59.0.2-1.fc28.x86_64/ipc/chromium/src/base/message_loop.cc:299

Potential duplicate: bug 1478776

Comment 1 Dr. David Alan Gilbert 2018-04-16 18:42:46 UTC
Created attachment 1422674 [details]
File: backtrace

Comment 2 Dr. David Alan Gilbert 2018-04-16 18:42:47 UTC
Created attachment 1422675 [details]
File: cgroup

Comment 3 Dr. David Alan Gilbert 2018-04-16 18:42:50 UTC
Created attachment 1422676 [details]
File: core_backtrace

Comment 4 Dr. David Alan Gilbert 2018-04-16 18:42:51 UTC
Created attachment 1422677 [details]
File: cpuinfo

Comment 5 Dr. David Alan Gilbert 2018-04-16 18:42:53 UTC
Created attachment 1422678 [details]
File: dso_list

Comment 6 Dr. David Alan Gilbert 2018-04-16 18:42:55 UTC
Created attachment 1422679 [details]
File: environ

Comment 7 Dr. David Alan Gilbert 2018-04-16 18:42:56 UTC
Created attachment 1422680 [details]
File: exploitable

Comment 8 Dr. David Alan Gilbert 2018-04-16 18:42:58 UTC
Created attachment 1422681 [details]
File: limits

Comment 9 Dr. David Alan Gilbert 2018-04-16 18:43:00 UTC
Created attachment 1422682 [details]
File: maps

Comment 10 Dr. David Alan Gilbert 2018-04-16 18:43:02 UTC
Created attachment 1422683 [details]
File: mountinfo

Comment 11 Dr. David Alan Gilbert 2018-04-16 18:43:03 UTC
Created attachment 1422684 [details]
File: open_fds

Comment 12 Dr. David Alan Gilbert 2018-04-16 18:43:05 UTC
Created attachment 1422685 [details]
File: proc_pid_status

Comment 13 Dr. David Alan Gilbert 2018-04-16 18:45:08 UTC
*** Bug 1568082 has been marked as a duplicate of this bug. ***

Comment 14 Adam Williamson 2018-04-16 19:08:15 UTC
Note this has several hundred occurrences logged in FAF:

https://retrace.fedoraproject.org/faf/reports/2077858/

412/564 (unique / total) occurrences in the last month or so, so definitely worth looking into.

Comment 15 Dr. David Alan Gilbert 2018-05-07 16:54:48 UTC
Possibly Mozilla bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=1459602

Comment 16 jun 2018-05-21 10:13:45 UTC
*** Bug 1580341 has been marked as a duplicate of this bug. ***

Comment 17 guardian120 2018-05-24 18:28:17 UTC
*** Bug 1582291 has been marked as a duplicate of this bug. ***

Comment 18 Bruno Thomsen 2018-05-28 06:46:35 UTC
Similar problem has been detected:

Tried opening Bitbucket server web interface.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 5 -isForBrowser -boolPrefs 259:1|299:0| -stringPrefs 285:36;64570a61-8465-403c-a630-75aa4b75d72e| -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 2838 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=0bcb0f85112b4e64aa1f9a8e65d02817;i=235ee;b=e31db90dfa724af1b55e41ec7b38a92d;m=59b5e297;t=56d3e26f12f92;x=6ef6a52817de14f0
kernel:         4.16.11-300.fc28.x86_64
package:        firefox-60.0.1-1.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Christian Stadelmann 2018-05-28 08:37:33 UTC
This crash is probably a duplicate of bug #1577277. You may want to try the update to firefox-60.0.1-3 which is linked there and will land in updates-testing today.

Comment 20 chupokabro@san.ru 2018-06-01 18:31:34 UTC
*** Bug 1585292 has been marked as a duplicate of this bug. ***

Comment 21 Chris Murphy 2018-06-05 04:07:27 UTC
Similar problem has been detected:

Crashed while in use, has happened several times today since upgrading to firefox-60.0.1-5.fc28.x86_64. Seems random.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 13 -isForBrowser -boolPrefs 36:1|183:1|231:1|237:1|299:0| -stringPrefs 285:36;d0ab5a25-dac1-403b-a863-0cc2fe0868d6| -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 2457 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=ec2f3450dc9843aa8e3e83ca41975621;i=5af6;b=d9f015a4295d4cf8b361f217432c7b6a;m=91e06aaf;t=56ddced5d4b9f;x=7a7057de38fbecd2
kernel:         4.16.13-300.fc28.x86_64
mountinfo:      
package:        firefox-60.0.1-5.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /proc/3365/fdinfo
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Chris Murphy 2018-06-05 04:29:42 UTC
Created attachment 1447705 [details]
coredumpctl gdb

thread apply all bt full

Actually coredumpctl shows four crashes today since upgrading to -5. I was previously using -4 without these crashes.

Comment 23 kevin 2018-06-05 05:12:33 UTC
Similar problem has been detected:

Browsing YouTube

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 28 -isForBrowser -boolPrefs 36:1|183:1|299:0|309:0| -stringPrefs 285:36;1492c244-5ce0-4373-be56-39f5c2d7a0cb| -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 16952 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=fba2e101d2484955b35034eaab958c06;i=41401e;b=80f11dec44e94273a7763a19428f0638;m=3320ba79b;t=56dddfb069c6c;x=af969e13d8331d72
kernel:         4.16.13-300.fc28.x86_64
mountinfo:      
package:        firefox-60.0.1-5.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /proc/19207/fdinfo
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 24 R P Herrold 2018-06-05 21:12:08 UTC
@Chris Murphy

IPC and SElinux are places to look (I see ipc as a common element in each report here).  Turning off IPC, and adding a SELinux rule stopped the lock-ups and crashes for me with an earlier version of FF

 https://bugzilla.mozilla.org/show_bug.cgi?id=1383141

Comment 25 Chris Murphy 2018-06-05 21:47:52 UTC
Why would it start crashing right after updating from -4 to -5? There were no selinux policy updates in between that update either. So I checked ausearch and have no AVC messages since May 17.

I do see this but it happens after the crash.
Jun 05 14:35:50 f28h.local abrt-server[4574]: Package 'firefox' isn't signed with proper key
No idea why it's not signed with the proper key, this is from koji.

Comment 26 Christian Stadelmann 2018-06-06 21:10:21 UTC
I've run into the same crash a few times today, several days after updating from -4 to -5.

No SELinux AVC denials here either.

Comment 27 Chris Murphy 2018-06-07 01:16:19 UTC
Some other component might be to blame. I've gone back to -3 which I definitely never had a crash with, and I had four crashes today with it.

Comment 28 Paulim_hed 2018-06-09 23:11:18 UTC
*** Bug 1589468 has been marked as a duplicate of this bug. ***

Comment 29 Radek Liška 2018-06-11 09:02:52 UTC
Similar problem has been detected:

opened a new tab and started writing URL

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 8 -isForBrowser -boolPrefs 183:1|237:1|259:1|299:0| -stringPrefs 285:36;8c5f3b75-dfa4-44f4-ba84-c5180b38cce6| -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 5277 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=d70ae1fed6f4456fafc45de0b2792cc0;i=c75d;b=ae80dcbc643f46409c28414cc6eff5c7;m=ab9a1e8a;t=56e581e85cd53;x=8acaf40cadc35d41
kernel:         4.16.13-300.fc28.x86_64
package:        firefox-60.0.1-6.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 30 Chris Murphy 2018-06-11 16:45:04 UTC
I can't figure out from processing the core dump why it's crashing, but Fedora's Firefox right now is sufficiently unstable to be unusable. Since switching to either regular or nightly builds from Mozilla placed in ~/Applications, using the same profile as before, the problem hasn't recurred.

Comment 31 kevin 2018-06-18 21:19:52 UTC
Similar problem has been detected:

Browsing YouTube

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 9 -isForBrowser -boolPrefs 36:1|183:1|299:0|309:0| -stringPrefs 285:36;1492c244-5ce0-4373-be56-39f5c2d7a0cb| -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 8869 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=fba2e101d2484955b35034eaab958c06;i=445c95;b=2005562077f04fc0ade92667b86a2112;m=d551df1ef;t=56ef1055775e8;x=c3b926c0139b6937
kernel:         4.16.14-300.fc28.x86_64
mountinfo:      
package:        firefox-60.0.1-6.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /proc/16185/fdinfo
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 32 mswal28462 2018-07-10 11:42:57 UTC
*** Bug 1599688 has been marked as a duplicate of this bug. ***

Comment 33 ghost53947 2018-07-20 08:03:46 UTC
Similar problem has been detected:

this crash seems to be related to hybrid graphics, radeon driver failing 

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 1 -isForBrowser -prefsLen 7334 -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 4049 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=0a99c524343c448a92e365ebdd787104;i=1229;b=4528ae3184fb44468c8714711a099428;m=1480745f;t=5716966257011;x=f893706902378d25
kernel:         4.17.6-200.fc28.x86_64
mountinfo:      
package:        firefox-61.0.1-1.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /proc/4236/fdinfo
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 34 Ivan Romanov 2018-07-29 10:50:07 UTC
Similar problem has been detected:

Firefox was in background. I don't see window. Just got crash error message.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 32 -isForBrowser -prefsLen 38735 -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 12973 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=d1b6318f906348a696363c6cef0e03a0;i=ef69;b=606d69ebbfdb43868e02d8ffbe57f91d;m=3610d8536;t=57220ca3e25e1;x=4cb1b71de9731b05
kernel:         4.17.7-200.fc28.x86_64
mountinfo:      
package:        firefox-61.0.1-3.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /proc/3363/fdinfo
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 35 Matthew Wilson 2018-08-05 10:39:15 UTC
*** Bug 1612511 has been marked as a duplicate of this bug. ***

Comment 36 Mark Tinberg 2018-08-13 14:59:18 UTC
Similar problem has been detected:

Happened immediately on login attempt, booted me back to gnome-shell login screen

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 1 -isForBrowser -prefsLen 34233 -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 6890 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=21b8004f7af54caa9f2e10a33f30e84b;i=4e3c02;b=8d51738813804292a63c93efc8b2cf64;m=63d4cf1126;t=5735219bd653c;x=6b7cb88ee8c6d531
kernel:         4.17.11-200.fc28.x86_64
mountinfo:      
package:        firefox-61.0.1-3.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /proc/7193/fdinfo
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 37 Stokhos 2018-08-21 22:14:32 UTC
*** Bug 1619853 has been marked as a duplicate of this bug. ***

Comment 38 Vedran Miletić 2018-08-23 21:47:12 UTC
Similar problem has been detected:

Updated firefox while it was running

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 5 -isForBrowser -prefsLen 36997 -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 5272 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=2b94f888d6a04e9496dea407c876d403;i=46456;b=bc3c95d1c5194fd3bff7331843cf9bd3;m=176af9f8;t=57420dfba97f5;x=323f90b78cd6bc75
kernel:         4.17.14-202.fc28.x86_64
package:        firefox-61.0.2-1.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 39 Laurent Hory 2018-08-24 19:38:00 UTC
Similar problem has been detected:

je faisait une recherche dans la barre d'adresse.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 6 -isForBrowser -prefsLen 16296 -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 2952 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=d5d027db90194a18b62cf9d386ef5a8a;i=112c2a;b=d283029aa2444f1182c0a0f22b6a478f;m=3ebdaf8f;t=57432b4bc3f89;x=b70054d8db818efe
kernel:         4.17.14-202.fc28.x86_64
package:        firefox-61.0.2-3.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 40 raynaud 2018-08-26 00:37:59 UTC
Similar problem has been detected:

Tried to open a webm file saved on my computer.
Works on Windows.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 5 -isForBrowser -prefsLen 19653 -schedulerPrefs 0001,2 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 5452 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=2bee84d46f8b45a0920d65e46a7e1e24;i=75d8;b=56ca6d3b4c84437ea6f2d87e1fc0c551;m=e99f5a61f;t=5744b8e2e604a;x=36c84759d6ec133
kernel:         4.17.14-202.fc28.x86_64
package:        firefox-61.0.2-3.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 41 Vlad Ivanov 2018-09-06 05:50:20 UTC
*** Bug 1625857 has been marked as a duplicate of this bug. ***

Comment 42 Jan Vlug 2018-09-13 10:15:05 UTC
Similar problem has been detected:

Firefox crashed while or shortly after the screen was locked.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 4 -isForBrowser -prefsLen 27335 -schedulerPrefs 0001,2 -parentBuildID 20180904093908 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 5256 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=f0ab7eac82fb47df92f23e6c8c5cfdcb;i=208f;b=baeb759e530b428792a9cecd5cfb701a;m=167c7d47c;t=575bdced55455;x=61a3d2b655df283e
kernel:         4.18.5-200.fc28.x86_64
mountinfo:      
package:        firefox-62.0-2.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /proc/6957/fdinfo
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 43 Matthew J. Fitzpatrick 2018-09-19 15:00:01 UTC
*** Bug 1630940 has been marked as a duplicate of this bug. ***

Comment 44 Dima Ryazanov 2018-09-19 22:02:37 UTC
Similar problem has been detected:

Attached an external monitor

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 5 -isForBrowser -prefsLen 23259 -schedulerPrefs 0001,2 -parentBuildID 20180904093908 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 9334 true tab
crash_function: mozilla::ipc::MessageChannel::OnChannelErrorFromLink()
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=b178945068a04ee48c03c9f6df96cf26;i=11de16;b=b585aba5d7c04964a693b3b25e85df47;m=22b559875d;t=57640590142cb;x=5e40964cffe04a1
kernel:         4.18.5-200.fc28.x86_64
mountinfo:      
package:        firefox-62.0-2.fc28
reason:         firefox killed by SIGSEGV
rootdir:        /proc/9805/fdinfo
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 45 mswal28462 2018-09-27 01:52:41 UTC
*** Bug 1633433 has been marked as a duplicate of this bug. ***

Comment 46 mswal28462 2018-11-30 21:58:02 UTC
*** Bug 1655186 has been marked as a duplicate of this bug. ***

Comment 47 Ben Cotton 2019-05-02 20:12:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 48 Ben Cotton 2019-05-28 23:24:01 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.